<?php
if ( !function_exists( 'ocolus_disable_slide_vertical' ) ) {
	function ocolus_disable_slide_vertical( $slide )
	{
		unset( $slide['vertical'] );

		return $slide;
	}
}
$functions = array(
	array( 'remove_action', 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10 ),
	array( 'add_action', 'woocommerce_product_thumbnails', 'woocommerce_show_product_thumbnails', 10 ),
	array( 'add_action', 'yith_wcqv_product_summary', 'ocolus_stock_single_product', 15 ),
	array( 'add_filter', 'ocolus_product_slide_thumbnail', 'ocolus_disable_slide_vertical' ),
	array( 'add_action', 'ocolus_before_product_gallery_wrapper', 'ocolus_button_product_gallery', 10 ),
	array( 'add_action', 'ocolus_before_product_gallery_wrapper', 'woocommerce_show_product_sale_flash', 30 ),
);
if ( !ocolus_is_mobile( true ) ) {
	$functions = array_merge( $functions,
		array(
			array( 'add_action', 'woocommerce_product_thumbnails', 'woocommerce_show_product_thumbnails', 10 ),
		)
	);
}
ocolus_add_action( $functions );
?>

<?php do_action( 'woocommerce_before_single_product_summary' ); ?>

    <div class="summary entry-summary">
        <div class="summary-content">
			<?php do_action( 'yith_wcqv_product_summary' ); ?>
        </div>
    </div>

<?php ocolus_add_action( $functions, true ); ?>